### org.jfree.layouting.renderer.model.table

# Class TableRenderBox

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.RenderBox`
    - - `org.jfree.layouting.renderer.model.BlockRenderBox`
      - - `org.jfree.layouting.renderer.model.table.TableRenderBox`

Implemented Interfaces:
  Cloneable

`public class TableRenderBox`
`extends BlockRenderBox`

A table render box contains table header, table footer and the table body. The table body itself may also contain table header cells - which get repeated after pagebreaks.

Tables contain more than just rows, in fact, they are separated into three sections.

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

  `LOG_PRUNE`

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `TableRenderBox(BoxDefinition boxDefinition)`

  ## Method Summary

  `void`

  `addChild(RenderNode child)`

  `void`

  `appyStyle(LayoutContext layoutContext, OutputProcessorMetaData metaData)`

  `Object`

  `clone()`
    Clones this node.

  `RenderLength`

  `getBorderSpacing()`

  `TableColumnModel`

  `getColumnModel()`

  `RenderLength`

  `getRowSpacing()`

  `boolean`

  `isAutoLayout()`

  `boolean`

  `isCollapsingBorderModel()`

  `boolean`

  `isDisplayEmptyCells()`

  `boolean`

  `isLayoutable()`

  `boolean`

  `isPredefinedColumnsValidated()`

  `boolean`

  `isStructureValidated()`

  `void`

  `setPredefinedColumnsValidated(boolean predefinedColumnsValidated)`

  `void`

  `setStructureValidated(boolean structureValidated)`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

  `addChild`, `addChilds`, `addGeneratedChild`, `appyStyle`, `clear`, `clone`, `close`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getBaselineInfo`, `getBorder`, `getBoxDefinition`, `getBoxLayoutProperties`, `getContentAreaX1`, `getContentAreaX2`, `getDominantBaseline`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getFirstChild`, `getInsertationPoint`, `getLastChild`, `getLineCount`, `getNominalBaselineInfo`, `getOrphans`, `getOrphansSize`, `getPageContext`, `getStaticBoxLayoutProperties`, `getVisibleFirst`, `getVisibleLast`, `getWidows`, `getWidowsSize`, `hibernate`, `insertAfter`, `insertBefore`, `isAppendable`, `isAvoidPagebreakInside`, `isDiscardable`, `isEmpty`, `isOpen`, `isPreserveSpace`, `remove`, `replaceChild`, `replaceChilds`, `setBaselineInfo`, `setContentAreaX1`, `setContentAreaX2`, `setFirstChild`, `setLastChild`, `setLineCount`, `setOrphansSize`, `setPageContext`, `setWidowsSize`, `split`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### TableRenderBox

    public TableRenderBox(BoxDefinition boxDefinition)

## Method Details

### addChild

    public void addChild(RenderNode child)

> Overrides:
>   addChild in interface RenderBox

### appyStyle

    public void appyStyle(LayoutContext layoutContext,
                          OutputProcessorMetaData metaData)

> Overrides:
>   appyStyle in interface RenderBox

### clone

    public Object clone()

> Clones this node. Be aware that cloning can get you into deep trouble, as the relations this node has may no longer be valid.
> Overrides:
>   clone in interface RenderBox
> Returns:

### getBorderSpacing

    public RenderLength getBorderSpacing()

### getColumnModel

    public TableColumnModel getColumnModel()

### getRowSpacing

    public RenderLength getRowSpacing()

### isAutoLayout

    public boolean isAutoLayout()

### isCollapsingBorderModel

    public boolean isCollapsingBorderModel()

### isDisplayEmptyCells

    public boolean isDisplayEmptyCells()

### isLayoutable

    public boolean isLayoutable()

### isPredefinedColumnsValidated

    public boolean isPredefinedColumnsValidated()

### isStructureValidated

    public boolean isStructureValidated()

### setPredefinedColumnsValidated

    public void setPredefinedColumnsValidated(boolean predefinedColumnsValidated)

### setStructureValidated

    public void setStructureValidated(boolean structureValidated)